Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025128
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-11-11 22:182013-12-20 15:10
ReportercaristuView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchFixed in SCM revision4aeb1d3f9346
ProjectionnoneETAnoneTarget VersionRMP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomalsasua
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025128: Use credit button should be displayed for returns

DescriptionCurrently, the use credit button is displayed when the allow pay on credit option is checked on the pos terminal and also if the customer has a credit line limit higher than zero.

This can limit the use of this function under some circumstances, for example making returns.

This button should be displayed if the sum of the customer balance plus the total of the receipt is lower than the customer credit line limit.
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0025107RMP29 closedmarvintm Return a receipt using customer credit does not generate an invoice automatically 

-  Notes
(0062210)
hgbot (developer)
2013-11-18 16:10

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4aeb1d3f9346392846700187d1c56dd7efa579ad
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Nov 18 16:10:33 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4aeb1d3f9346392846700187d1c56dd7efa579ad [^]

Fixed issue 25128. Change the way the display logic of the 'Use Credit' button works:
- If the order has negative total amount, the button will always be shown
- If the order has positive amount, the button will be shown if the credit used + the receipt amount is lower or equal than the credit limit of the business partner.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0062269)
malsasua (developer)
2013-11-19 20:23

verified
(0062302)
hgbot (developer)
2013-11-21 10:19

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 4aeb1d3f9346392846700187d1c56dd7efa579ad
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Nov 18 16:10:33 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/4aeb1d3f9346392846700187d1c56dd7efa579ad [^]

Fixed issue 25128. Change the way the display logic of the 'Use Credit' button works:
- If the order has negative total amount, the button will always be shown
- If the order has positive amount, the button will be shown if the credit used + the receipt amount is lower or equal than the credit limit of the business partner.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0062314)
guilleaer (developer)
2013-11-21 12:15

reclosed
(0062577)
hgbot (developer)
2013-12-05 12:12

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 4aeb1d3f9346392846700187d1c56dd7efa579ad
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Nov 18 16:10:33 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/4aeb1d3f9346392846700187d1c56dd7efa579ad [^]

Fixed issue 25128. Change the way the display logic of the 'Use Credit' button works:
- If the order has negative total amount, the button will always be shown
- If the order has positive amount, the button will be shown if the credit used + the receipt amount is lower or equal than the credit limit of the business partner.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0062630)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062905)
hgbot (developer)
2013-12-19 19:47

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 4aeb1d3f9346392846700187d1c56dd7efa579ad
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Nov 18 16:10:33 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/4aeb1d3f9346392846700187d1c56dd7efa579ad [^]

Fixed issue 25128. Change the way the display logic of the 'Use Credit' button works:
- If the order has negative total amount, the button will always be shown
- If the order has positive amount, the button will be shown if the credit used + the receipt amount is lower or equal than the credit limit of the business partner.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0063007)
guilleaer (developer)
2013-12-20 15:10

reclosed

- Issue History
Date Modified Username Field Change
2013-11-11 22:18 caristu New Issue
2013-11-11 22:18 caristu Assigned To => marvintm
2013-11-11 22:18 caristu Triggers an Emergency Pack => No
2013-11-11 22:18 caristu Issue Monitored: networkb
2013-11-11 22:19 caristu Relationship added related to 0025107
2013-11-18 16:10 hgbot Checkin
2013-11-18 16:10 hgbot Note Added: 0062210
2013-11-18 16:10 hgbot Status new => resolved
2013-11-18 16:10 hgbot Resolution open => fixed
2013-11-18 16:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4aeb1d3f9346392846700187d1c56dd7efa579ad [^]
2013-11-19 20:23 malsasua Note Added: 0062269
2013-11-19 20:23 malsasua Status resolved => closed
2013-11-21 10:19 hgbot Checkin
2013-11-21 10:19 hgbot Note Added: 0062302
2013-11-21 10:19 hgbot Status closed => resolved
2013-11-21 10:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4aeb1d3f9346392846700187d1c56dd7efa579ad [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/4aeb1d3f9346392846700187d1c56dd7efa579ad [^]
2013-11-21 12:15 guilleaer Review Assigned To => malsasua
2013-11-21 12:15 guilleaer Note Added: 0062314
2013-11-21 12:15 guilleaer Status resolved => closed
2013-11-21 12:15 guilleaer Fixed in Version => RMP29
2013-12-05 12:12 hgbot Checkin
2013-12-05 12:12 hgbot Note Added: 0062577
2013-12-05 12:12 hgbot Status closed => resolved
2013-12-05 12:12 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/4aeb1d3f9346392846700187d1c56dd7efa579ad [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/4aeb1d3f9346392846700187d1c56dd7efa579ad [^]
2013-12-05 17:21 guilleaer Note Added: 0062630
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:47 hgbot Checkin
2013-12-19 19:47 hgbot Note Added: 0062905
2013-12-19 19:47 hgbot Status closed => resolved
2013-12-19 19:47 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/4aeb1d3f9346392846700187d1c56dd7efa579ad [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/4aeb1d3f9346392846700187d1c56dd7efa579ad [^]
2013-12-20 15:10 guilleaer Note Added: 0063007
2013-12-20 15:10 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker